osmium::thread::function_wrapper::impl_type< F > Struct Template Reference
Inheritance diagram for osmium::thread::function_wrapper::impl_type< F >:
[legend]
Collaboration diagram for osmium::thread::function_wrapper::impl_type< F >:
[legend]

## Public Member Functions

| impl_type (F &&functor)
bool | call () override
Public Member Functions inherited from osmium::thread::function_wrapper::impl_base
virtual | ~impl_base ()=default

## Public Attributes

F | m_functor

## Constructor & Destructor Documentation

template<typename F >

osmium::thread::function_wrapper::impl_type< F >::impl_type | ( | F && | functor | ) |

inline explicit

## Member Function Documentation

template<typename F >

bool osmium::thread::function_wrapper::impl_type< F >::call | ( |  | ) |

inline override virtual

Reimplemented from osmium::thread::function_wrapper::impl_base.

## Member Data Documentation

template<typename F >

F osmium::thread::function_wrapper::impl_type< F >::m_functor

The documentation for this struct was generated from the following file:

- osmium/thread/function_wrapper.hpp